# Function runCollabEvents

- runCollabEvents(events: any, user: any, actionData: any): Promise<any[]>

  Run custom real-time collaboration events

  #### Parameters

  - events: any

    events from the cfg of a view

  - user: any
  - actionData: any

    data to run the actions on

  #### Returns Promise<any[]>

  an array of action results

  - Defined in packages/saltcorn-data/plugin-helper.js:3223